Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Merchant Custom Attributes

  • List merchant custom attribute definitions

  • Create merchant custom attribute definition

  • Delete merchant custom attribute definition

  • Retrieve merchant custom attribute definition

  • Update merchant custom attribute definition

  • Bulk delete merchant custom attributes

  • Bulk upsert merchant custom attributes

  • List merchant custom attributes

  • Delete merchant custom attribute

  • Retrieve merchant custom attribute

  • Upsert merchant custom attribute

  • Webhooks

  • merchant.custom_attribute_definition.owned.created

  • merchant.custom_attribute_definition.owned.deleted

  • merchant.custom_attribute_definition.owned.updated

  • merchant.custom_attribute_definition.visible.created

  • merchant.custom_attribute_definition.visible.deleted

  • merchant.custom_attribute_definition.visible.updated

  • merchant.custom_attribute.owned.deleted

  • merchant.custom_attribute.owned.updated

  • merchant.custom_attribute.visible.deleted

  • merchant.custom_attribute.visible.updated

<- Merchant Custom Attributes API

Merchant Custom Attributes API

All versions ->

Delete merchant custom attributeBeta

DELETE

 /v2/merchants/{merchant_id}/custom-attributes/{key}

Deletes a custom attribute associated with a merchant.

To delete a custom attribute owned by another application, the visibility setting must be VISIBILITY_READ_WRITE_VALUES.

Permissions:MERCHANT_PROFILE_WRITE

Guide

Delete merchant custom attribute

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

merchant_id

string

Required

The ID of the target merchant.

Link to section

key

string

Required

The key of the custom attribute to delete. This key must match the key of a custom attribute definition in the Square seller account. If the requesting application is not the definition owner, you must use the qualified key.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

Examples

All versions ->

DELETE /v2/merchants/{merchant_id}/custom-attributes/{key}
curl https://connect.squareup.com/v2/merchants/DM7VKY8Q63GNP/custom-attributes/alternative_seller_name \ -X DELETE \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{}